Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTreeUI.KeyHandler

- java.lang.Object
- - java.awt.event.KeyAdapter
  - - javax.swing.plaf.basic.BasicTreeUI.KeyHandler

- All Implemented Interfaces:
    `KeyListener`, `EventListener`
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.KeyHandler
      extends KeyAdapter

  This is used to get multiple key down events to appropriately generate events.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `isKeyDown` | Set to true while keyPressed is active.
    `protected Action` | `repeatKeyAction` | Key code that is being generated for.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeyHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `keyTyped​(KeyEvent e)` | Invoked when a key has been typed.

    - ### Methods declared in class java.awt.event.KeyAdapter

      `keyPressed, keyReleased`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### repeatKeyAction

          protected Action repeatKeyAction

      Key code that is being generated for.

    - #### isKeyDown

          protected boolean isKeyDown

      Set to true while keyPressed is active.

  - ### Constructor Detail

    - #### KeyHandler

          public KeyHandler()

  - ### Method Detail

    - #### keyTyped

          public void keyTyped​(KeyEvent e)

      Invoked when a key has been typed. Moves the keyboard focus to the first element whose first letter matches the alphanumeric key pressed by the user. Subsequent same key presses move the keyboard focus to the next object that starts with the same letter.
      Specified by:
        `keyTyped` in interface `KeyListener`
      Overrides:
        `keyTyped` in class `KeyAdapter`
      Parameters:
        `e` - the event to be processed